aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2009-07-16 19:46:53 +0100
committerAvatar David Leverton <levertond@googlemail.com> 2009-07-16 19:46:53 +0100
commit630c612ba02a017b4c3830c467abbeece7114fd4 (patch)
treee67ce7d52bdd628e45ced744d8dd022868812744
parentc6854af474b8260ef3225d1b6dcf5663af9201f1 (diff)
downloadpaludis-630c612ba02a017b4c3830c467abbeece7114fd4.tar.gz
paludis-630c612ba02a017b4c3830c467abbeece7114fd4.tar.xz
Add another test case
-rw-r--r--paludis/repositories/e/e_repository_TEST_exlibs.cc1
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_exlibs_setup.sh9
2 files changed, 10 insertions, 0 deletions
diff --git a/paludis/repositories/e/e_repository_TEST_exlibs.cc b/paludis/repositories/e/e_repository_TEST_exlibs.cc
index 4a81724..485f2c9 100644
--- a/paludis/repositories/e/e_repository_TEST_exlibs.cc
+++ b/paludis/repositories/e/e_repository_TEST_exlibs.cc
@@ -202,5 +202,6 @@ namespace test_cases
ExlibsTest test_boolean_baddefault("boolean-baddefault", throws_UnsupportedActionError);
ExlibsTest test_boolean_blankdefault("boolean-blankdefault", throws_UnsupportedActionError);
ExlibsTest test_boolean_nodefault("boolean-nodefault", throws_UnsupportedActionError);
+ ExlibsTest test_boolean_notreally("boolean-notreally", throws_UnsupportedActionError);
}
diff --git a/paludis/repositories/e/e_repository_TEST_exlibs_setup.sh b/paludis/repositories/e/e_repository_TEST_exlibs_setup.sh
index c5f3e63..ecbcd99 100755
--- a/paludis/repositories/e/e_repository_TEST_exlibs_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_exlibs_setup.sh
@@ -497,6 +497,15 @@ cat <<'END' > packages/cat/boolean-nodefault/boolean-nodefault-1.ebuild || exit
SLOT="0"
require boolean-nodefault
END
+mkdir -p "packages/cat/boolean-notreally"
+cat <<'END' > packages/cat/boolean-notreally/boolean-notreally.exlib || exit 1
+myexparam t
+exparam -b t && SLOT="1"
+END
+cat <<'END' > packages/cat/boolean-notreally/boolean-notreally-1.ebuild || exit 1
+SLOT="0"
+require boolean-notreally [ t=monkey ]
+END
mkdir -p "packages/cat/illegal-in-global-scope"
cat <<'END' > packages/cat/illegal-in-global-scope/illegal-in-global-scope-1.ebuild || exit 1
DESCRIPTION="The Long Description"